--[[
	Flood.lua
	jake3773  | (STEAM_0:0:40143824)
	===DStream===
]]

CreateClientConVar( "vh_esp", 0, true, false )
CreateClientConVar( "vh_espmodel", 0, true, false )
CreateClientConVar( "vh_Crosshair", 0, true, false )
CreateClientConVar( "vh_norecoil", 0, true, false )

local function ESP()
if( GetConVarNumber( 'vh_esp' ) != 0 ) then
for k, v in pairs( player.GetAll() ) do
if( v:Alive() && v != LocalPlayer() ) then
local Pos = ( v:GetPos() + Vector( 0, 0, 75 ) ):ToScreen();
surface.SetDrawColor( team.GetColor( v:Team() ) )
draw.SimpleText( v:Name(), 'DefaultFixedOutline', Pos.x, Pos.y, team.GetColor( v:Team() ), TEXT_ALIGN_CENTER );
draw.SimpleText( "HP: " .. v:Health(), 'DefaultFixedOutline', Pos.x, Pos.y + 12, team.GetColor( v:Team() ), TEXT_ALIGN_CENTER );
end
end
end
end
hook.Add( 'HUDPaint', 'VoltageESP', ESP );

function PlayerModel()
if GetConVarNumber( "vh_espmodel" ) >= 1 then
for k, v in pairs(ents.GetAll()) do
if ValidEntity( v ) then
if v:IsPlayer() or v:IsNPC() then
v:SetMaterial( "" )
cam.Start3D( EyePos(), EyeAngles() )
v:DrawModel()
cam.End3D()
				end
			end
		end
	end
end
hook.Add( "HUDPaint", "Playermodel1", PlayerModel )

hook.Add( "Think", "No Recoil", function()
if GetConVarNumber( "vh_norecoil" ) >= 1 then
if LocalPlayer():GetActiveWeapon().Primary then
LocalPlayer():GetActiveWeapon().Primary.Recoil = 0
		end
	end
end )

function Crosshair()
if GetConVarNumber( "vh_crosshair" ) >= 1 then
surface.SetDrawColor(0,0,0,255)
surface.DrawLine(ScrW() / 2 - 30, ScrH() / 2, ScrW() / 2 + 32 , ScrH() / 2)
surface.DrawLine(ScrW() / 2 - 0, ScrH() / 2 - 30, ScrW() / 2 - 0 , ScrH() / 2 + 32)

        end
end
hook.Add("HUDPaint","CustomCross",Crosshair)